!TCL=66,  Anders Pedersen Feb 2003, anders@kvl.dk
!TITLE=Make up Daisy rotation
!SORT=N
!CHARSET=DEFAULT



!TEXT=Wait
(wait_mm_dd MM DD)
!
!TEXT=plowing
 (wait_mm_dd MM DD)
  ;(wait trafficable)
   (plowing)
!
!TEXT=seed_bed_preparation
 (wait_mm_dd MM DD)
 ;(wait trafficable)
  (seed_bed_preparation)
!
!TEXT=rotavation
 (wait_mm_dd MM DD)
 ;(wait trafficable)
  (rotavation)
!

!TEXT=sow
(wait_mm_dd MM DD)
    (sow "NAME")
!
!TEXT=progn sow
(wait_mm_dd MM DD)
(progn
    (sow "NAME")
    (sow "NAME") 
    (sow "NAME") )
!
!TEXT=Fertilize N25S
(wait_mm_dd MM DD)
(fertilize (N25S (weight 120.0)))
!

!TEXT=Fertilize in Depth
(wait_mm_dd MM DD)  
    (fertilize (NAME
       (weight 70.0))
       (from 0.0)
       (to -30.0))
!
!TEXT=Irrigate
(wait_mm_dd MM DD)
(irrigate_overhead 10
	 (temperature  8))
!	

!TEXT=Irrigate by water content
(defaction irrigate_30 activity
     (wait (and (after_mm_dd 05 01)(before_mm_dd 09 01)
           (not (soil_water_content_above 200.0 [mm]
           (from 0 [m]) (to -1.0 [m]))))) 
           (irrigate_overhead 30 [mm/h]) (wait_days 2))
!
!TEXT=Irrigate by water pressure
(defaction irrigate_30 activity
    (wait (and (after_mm_dd 05 01)(before_mm_dd 09 01)
          (not (soil_water_pressure_above (height -30.0 [cm])
          (potential -1000 [cm])))))
          (irrigate_overhead 30 [mm/h])(wait_days 2))
!

!TEXT=Fertilize Slurry
(wait_mm_dd MM DD)
    (fertilize (NAME (weight 31.0)))
!


!TEXT=Wait crop_ds_after
(wait (or (crop_ds_after "NAME" 2.0) ;Ripe
         (mm_dd 8 25)))
 
!
!TEXT=Harvest
;(wait_mm_dd MM DD);Bruges ikke hvis man lige fr har crop_ds_after
 (harvest "NAME"
          (leaf 0.0)        ;Blade bliver
          (sorg 1.0)        ;Sorg fjernes
          (stub 6.0)        ;6 cm stub
          (stem 0.0))       ;Stngel bliver
!
!TEXT=grazing
(wait_days 10)                  
  (harvest  "Grass; grazing"
  			(leaf 1.0)        ;Blade fjernes
          		(sorg 1.0)        ;Sorg fjernes
          		(stub 4.7)        ;6 cm stub
          		(stem 1.0))       ;Stngelfjernes
          		
  
  
  (harvest  "Wclover; grazing"   
  			(leaf 1.0)        ;Blade fjernes
          		(sorg 1.0)        ;Sorg fjernes
          		(stub 4.7)        ;6 cm stub
          		(stem 1.0))       ;Stngelfjernes
  
  (fertilize  N25S  (weight 16.0))
!

!TEXT=Sow and rootdens "DS_Depth"
 (sow "NAME"
	 (Root (rootdens "DS_Depth" 
			 (entries (0.0 (0.0 1.0) (10.0 0.0))
				  (0.5 (0.0 1.0) (25.0 0.8)(40.0 0.0))
				  (1.0 (0.0 1.0) (40.0 1.0)(50.0 0.0))
				  (2.0 (0.0 1.0) (50.0 1.0) (75.0 0.30)(150.0 0.0))))))
!

!TEXT=Sow and rootdens "DS_Rel"
 (sow "NAME"
 	(Root (rootdens "DS_Rel" 
				 (entries (0.0 (0.0 1.0) (1.0 0.0))
					  (0.5 (0.0 1.0) (1.0 0.0))
					  (1.0 (0.0 1.0) (1.0 0.0))
				  (1.5 (0.0 1.0) (0.5 1.0) (1.0 0.0))
				  (2.0 (0.0 1.0) (0.8 1.0) (1.0 0.0))))))	 
!
!TEXT="DS_Rel"
 (rootdens "DS_Rel" 
				 (entries (0.0 (0.0 1.0) (1.0 0.0))
					  (0.5 (0.0 1.0) (1.0 0.0))
					  (1.0 (0.0 1.0) (1.0 0.0))
				  (1.5 (0.0 1.0) (0.5 1.0) (1.0 0.0))
				  (2.0 (0.0 1.0) (0.8 1.0) (1.0 0.0))))	 
!


!TEXT=Sow and rootdens "Depth_Depth"
 (sow "NAME"
 	(Root (rootdens "Depth_Depth" 
				 (entries (00.0 (0.0 1.0) (10.0 0.0))
					  (25.0 (0.0 1.0) (25.0 0.0))
					  (40.0 (0.0 1.0) (25.0 0.8)(40.0 0.0))
					  (50.0 (0.0 1.0)(25.0 0.8)(40.0 0.3) (50.0 0.0))
				          (75.0 (0.0 1.0) (40.0 1.0) (75.0 0.0))
				          (150.0 (0.0 1.0) (40.0 1.0) (75.0 0.3)(150.0 0.0))))))
!
!TEXT="Depth_Depth"
 (rootdens "Depth_Depth" 
				 (entries (00.0 (0.0 1.0) (10.0 0.0))
					  (25.0 (0.0 1.0) (25.0 0.0))
					  (40.0 (0.0 1.0) (25.0 0.8)(40.0 0.0))
					  (50.0 (0.0 1.0)(25.0 0.8)(40.0 0.3) (50.0 0.0))
				          (75.0 (0.0 1.0) (40.0 1.0) (75.0 0.0))
				          (150.0 (0.0 1.0) (40.0 1.0) (75.0 0.3)(150.0 0.0))))
!



!TEXT=Sow and rootdens "Depth_Depth"
 (sow "NAME"
 	(Root (rootdens "Depth_Depth" 
				 (entries (00.0 (0.0 1.0) (10.0 0.0))
					  (25.0 (0.0 1.0) (25.0 0.0))
					  (40.0 (0.0 1.0) (25.0 0.8)(40.0 0.0))
					  (50.0 (0.0 1.0)(25.0 0.8)(40.0 0.3) (50.0 0.0))
				          (75.0 (0.0 1.0) (40.0 1.0) (75.0 0.0))
				          (150.0 (0.0 1.0) (40.0 1.0) (75.0 0.3)(150.0 0.0))))))
!
!TEXT= "Depth_Depth"
 (rootdens "Depth_Depth" 
				 (entries (00.0 (0.0 1.0) (10.0 0.0))
					  (25.0 (0.0 1.0) (25.0 0.0))
					  (40.0 (0.0 1.0) (25.0 0.8)(40.0 0.0))
					  (50.0 (0.0 1.0)(25.0 0.8)(40.0 0.3) (50.0 0.0))
				          (75.0 (0.0 1.0) (40.0 1.0) (75.0 0.0))
				          (150.0 (0.0 1.0) (40.0 1.0) (75.0 0.3)(150.0 0.0))))
!





!TEXT="Gerwitz+Page74"
(rootdens "Gerwitz+Page74"
		(SpRtLength 90.0)
		(MinDens 0)
		(DensRtTip 0.1))
!