!TCL=69,  Anders Pedersen Jan 2003, anders@kvl.dk
!TITLE=Make up Daisy log
!SORT=N
!CHARSET=DEFAULT

!TEXT=log N-min Only
;Dette skal sttes ind fr "Time" og efter "column" kommando 
(deflog "N-min" table "Information for NH4 NO3 content in the soil."
(where "N-min.dlf")  (when daily) (entries (year (path time)) (month (path time))(mday (path time))
(interval (tag "NH4")(path column "$col" SoilNH4 M)(spec column default SoilNH4 M )(dimension "kg N/ha"))
(interval (tag "NO3")(path column "$col" SoilNO3 M) (spec column default SoilNO3 M) (dimension "kg N/ha"))  ))
!

!TEXT=log N-min 0-100 cm
;;HUSK AT STTE "log N-min only" over "Time"
("N-min"(where "N-min 00-100cm.dlf")(from 0 [cm])(to -100 [cm]))	
!
!TEXT= Activate output
(activate_output (after YYYY MM DD HH))
!

!TEXT= Activate output
(Checkpoint (when activate_output (after YYYY MM DD HH))
!


!TEXT=log Crop Prod
("Crop Production" 
	( set "$crop"   "NAME")
	(where "crop_NAME.dlf"))	
!

!TEXT=Soil Content in different depth
(deflog "Soil Content 0-25 cm" "Total Soil Content"
    (where "soil_content_25-50.dlf")
    (from   0)
    (to   -25))
  
  (deflog "Soil Content 25-50 cm" "Total Soil Content"
    (where "soil_content_25-50.dlf")
    (from   -25)
    (to   -50))

 (deflog "Soil Content 50-75 cm" "Total Soil Content"
    (where "soil_content_50-75.dlf")
    (from   -50)
    (to   -75))

 (deflog "Soil Content 75-100 cm" "Total Soil Content"
    (where "soil_content_75-100.dlf")
    (from   -75)
    (to   -100))
 
 (deflog "Soil Content 0-100 cm" "Total Soil Content"
    (where "soil_content_00-100.dlf")
    (from   0)
    (to   -100))

(deflog "Soil Content 0-250 cm" "Total Soil Content"
  (where "soil_content_00-250.dlf")
     (from   0)
     (to   -250))
!

!TEXT= C Balance 0-100 cm
(deflog "C Balance 0-100 cm" "Carbon Balance"
  (from 0) (to 100)
  (where "C_Bal_100cm.dlf"))
!

!TEXT= Monthly C Balance
(deflog "Monthly C Balance 100 cm" "C Balance 0-100 cm" 
  (when monthly)
  (where "Monthly_C_Bal_100cm.dlf"))
!

!TEXT= Log Weekly
("NAME" (when (daily 7)))
!
!TEXT= Log Yearly
("NAME" (when (yearly)))
!

!TEXT= Total Soil Content 0-100cm
("Total Soil Content"(where "soil_content00-100cm.dlf")(from 0 [cm])(to -100 [cm]))
!

!TEXT= Log in different depth
("Name" (from 0 [cm]) (to -100 [cm])(where "Name 0-100cm.dlf"))
!

!TEXT= Log in different depth and Yearly
("NAME" (from 0 [cm]) (to -250 [cm]) (when (and (month 4) (mday 1) (hour 0))) (where "Name Ann 0-250cm.dlf"))
!
!TEXT= Log in different depth and BiYearly
("Name" (from 0 [cm]) (to -250 [cm]) (when (or (and (month 4) (mday 1) (hour 0))(and (month 10) (mday 1) (hour 0)))) (where "Name 0-250cm.dlf"))
!